version: '3'
services:
  xdyn:
    image: xdyn
    working_dir: /data
    entrypoint: xdyn-for-me tutorial_15_gm.yml --grpc -p 9002
    volumes:
      - .:/data
    user: ${CURRENT_UID}
    environment:
      - no_proxy
  test:
    image: xdyngrpc-python
    entrypoint: >
      wait-for-it xdyn:9002 -s -t 20 --
      python3 tests.py
    working_dir: /data
    volumes:
      - .:/data
    user: ${CURRENT_UID}
    depends_on:
      - xdyn
    environment:
      - no_proxy
      - xdyn_server_url
